Only in squid-3.0-PRE3-20060608: Makefile
Only in squid-3.0-PRE3-20060608: config.log
Only in squid-3.0-PRE3-20060608: config.status
Only in squid-3.0-PRE3-20060608/contrib: Makefile
Only in squid-3.0-PRE3-20060608/doc: Makefile
Only in squid-3.0-PRE3-20060608/errors: Makefile
Only in squid-3.0-PRE3-20060608/helpers: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/LDAP: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/LDAP: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/MSNT: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/MSNT: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/NCSA: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/NCSA: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/PAM: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/PAM: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/SASL: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/SASL: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/SMB: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/SMB: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/YP: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/YP: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/getpwnam: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/getpwnam: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/mswin_sspi: .deps
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/mswin_sspi: Makefile
Only in squid-3.0-PRE3-20060608/helpers/basic_auth/multi-domain-NTLM: Makefile
Only in squid-3.0-PRE3-20060608/helpers/digest_auth: Makefile
Only in squid-3.0-PRE3-20060608/helpers/digest_auth/ldap: .deps
Only in squid-3.0-PRE3-20060608/helpers/digest_auth/ldap: Makefile
Only in squid-3.0-PRE3-20060608/helpers/digest_auth/password: .deps
Only in squid-3.0-PRE3-20060608/helpers/digest_auth/password: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl/ip_user: .deps
Only in squid-3.0-PRE3-20060608/helpers/external_acl/ip_user: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl/ldap_group: .deps
Only in squid-3.0-PRE3-20060608/helpers/external_acl/ldap_group: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl/mswin_lm_group: .deps
Only in squid-3.0-PRE3-20060608/helpers/external_acl/mswin_lm_group: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl/session: .deps
Only in squid-3.0-PRE3-20060608/helpers/external_acl/session: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl/unix_group: .deps
Only in squid-3.0-PRE3-20060608/helpers/external_acl/unix_group: Makefile
Only in squid-3.0-PRE3-20060608/helpers/external_acl/wbinfo_group: Makefile
Only in squid-3.0-PRE3-20060608/helpers/negotiate_auth: Makefile
Only in squid-3.0-PRE3-20060608/helpers/negotiate_auth/mswin_sspi: .deps
Only in squid-3.0-PRE3-20060608/helpers/negotiate_auth/mswin_sspi: Makefile
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth: Makefile
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/SMB: .deps
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/SMB: Makefile
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/SMB/smbval: .deps
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/SMB/smbval: Makefile
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/fakeauth: .deps
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/fakeauth: Makefile
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/mswin_sspi: .deps
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/mswin_sspi: Makefile
Only in squid-3.0-PRE3-20060608/helpers/ntlm_auth/no_check: Makefile
Only in squid-3.0-PRE3-20060608/icons: Makefile
Only in squid-3.0-PRE3-20060608/include: autoconf.h
Only in squid-3.0-PRE3-20060608/include: stamp-h1
Only in squid-3.0-PRE3-20060608/lib: .deps
Only in squid-3.0-PRE3-20060608/lib: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0: _configs.sed
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/config: config.h
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/config: stamp-h1
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0: config.log
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0: config.status
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0: cppunit-config
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/doc: Doxyfile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/doc: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/ClockerPlugIn: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/DumperPlugIn: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/cppunittest: .deps
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/cppunittest: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/hierarchy: .deps
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/hierarchy: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/money: .deps
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/money: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/simple: .deps
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/examples/simple: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/config: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit: config-auto.h
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/extensions: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/plugin: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/portability: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/tools: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/ui: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/ui/mfc: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/ui/qt: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/include/cppunit/ui/text: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0: libtool
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/src/DllPlugInTester: .deps
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/src/DllPlugInTester: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/src: Makefile
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/src/cppunit: .deps
Only in squid-3.0-PRE3-20060608/lib/cppunit-1.10.0/src/cppunit: Makefile
Only in squid-3.0-PRE3-20060608/lib/libTrie: Makefile
Only in squid-3.0-PRE3-20060608/lib/libTrie: config.h
Only in squid-3.0-PRE3-20060608/lib/libTrie: config.log
Only in squid-3.0-PRE3-20060608/lib/libTrie: config.status
Only in squid-3.0-PRE3-20060608/lib/libTrie/include: Makefile
Only in squid-3.0-PRE3-20060608/lib/libTrie/src: .deps
Only in squid-3.0-PRE3-20060608/lib/libTrie/src: Makefile
Only in squid-3.0-PRE3-20060608/lib/libTrie: stamp-h1
Only in squid-3.0-PRE3-20060608/lib/libTrie/test: .deps
Only in squid-3.0-PRE3-20060608/lib/libTrie/test: Makefile
Only in squid-3.0-PRE3-20060608: libtool
Only in squid-3.0-PRE3-20060608/scripts: Makefile
Only in squid-3.0-PRE3-20060608/scripts: RunAccel
Only in squid-3.0-PRE3-20060608/scripts: RunCache
Only in squid-3.0-PRE3-20060608/snmplib: .deps
Only in squid-3.0-PRE3-20060608/snmplib: Makefile
Only in squid-3.0-PRE3-20060608/src: .deps
Only in squid-3.0-PRE3-20060608/src/DiskIO: .deps
Only in squid-3.0-PRE3-20060608/src/DiskIO: .dirstamp
Only in squid-3.0-PRE3-20060608/src/DiskIO/AIO: .deps
Only in squid-3.0-PRE3-20060608/src/DiskIO/Blocking: .deps
Only in squid-3.0-PRE3-20060608/src/DiskIO/Blocking: .dirstamp
Only in squid-3.0-PRE3-20060608/src/DiskIO/DiskDaemon: .deps
Only in squid-3.0-PRE3-20060608/src/DiskIO/DiskThreads: .deps
Only in squid-3.0-PRE3-20060608/src/ICAP: .deps
Only in squid-3.0-PRE3-20060608/src: Makefile
Only in squid-3.0-PRE3-20060608/src/auth: Makefile
Only in squid-3.0-PRE3-20060608/src/auth/basic: .deps
Only in squid-3.0-PRE3-20060608/src/auth/basic: .dirstamp
Only in squid-3.0-PRE3-20060608/src/auth/digest: .deps
Only in squid-3.0-PRE3-20060608/src/auth/digest: .dirstamp
Only in squid-3.0-PRE3-20060608/src/auth/negotiate: .deps
Only in squid-3.0-PRE3-20060608/src/auth/negotiate: .dirstamp
Only in squid-3.0-PRE3-20060608/src/auth/ntlm: .deps
Only in squid-3.0-PRE3-20060608/src/auth/ntlm: .dirstamp
Only in squid-3.0-PRE3-20060608/src: cf.data
Only in squid-3.0-PRE3-20060608/src: cf_gen_defines.h
Only in squid-3.0-PRE3-20060608/src: cf_parser.h
diff -rup squid-3.0-PRE3-20060608.orig/src/comm_epoll.cc squid-3.0-PRE3-20060608/src/comm_epoll.cc
--- squid-3.0-PRE3-20060608.orig/src/comm_epoll.cc	2006-05-29 18:44:18.000000000 -0300
+++ squid-3.0-PRE3-20060608/src/comm_epoll.cc	2006-06-08 20:48:46.000000000 -0300
@@ -53,7 +53,6 @@
  */
 
 #include "squid.h"
-#include "comm_epoll.h"
 #include "CacheManager.h"
 #include "Store.h"
 #include "fde.h"
diff -rup squid-3.0-PRE3-20060608.orig/src/comm_kqueue.cc squid-3.0-PRE3-20060608/src/comm_kqueue.cc
--- squid-3.0-PRE3-20060608.orig/src/comm_kqueue.cc	2006-05-28 21:15:02.000000000 -0300
+++ squid-3.0-PRE3-20060608/src/comm_kqueue.cc	2006-06-08 20:49:31.000000000 -0300
@@ -54,7 +54,6 @@
  */
 
 #include "squid.h"
-#include "comm_kqueue.h"
 #include "CacheManager.h"
 #include "Store.h"
 #include "fde.h"
diff -rup squid-3.0-PRE3-20060608.orig/src/comm_poll.cc squid-3.0-PRE3-20060608/src/comm_poll.cc
--- squid-3.0-PRE3-20060608.orig/src/comm_poll.cc	2006-05-28 21:15:02.000000000 -0300
+++ squid-3.0-PRE3-20060608/src/comm_poll.cc	2006-06-08 20:54:08.000000000 -0300
@@ -33,7 +33,6 @@
  */
 
 #include "squid.h"
-#include "comm_poll.h"
 #include "CacheManager.h"
 #include "SquidTime.h"
 #include "Store.h"
diff -rup squid-3.0-PRE3-20060608.orig/src/comm_select.cc squid-3.0-PRE3-20060608/src/comm_select.cc
--- squid-3.0-PRE3-20060608.orig/src/comm_select.cc	2006-05-28 21:15:02.000000000 -0300
+++ squid-3.0-PRE3-20060608/src/comm_select.cc	2006-06-08 20:49:11.000000000 -0300
@@ -33,7 +33,6 @@
  */
 
 #include "squid.h"
-#include "comm_select.h"
 #include "CacheManager.h"
 #include "SquidTime.h"
 
Only in squid-3.0-PRE3-20060608/src/fs: Makefile
Only in squid-3.0-PRE3-20060608/src/fs/aufs: .deps
Only in squid-3.0-PRE3-20060608/src/fs/coss: .deps
Only in squid-3.0-PRE3-20060608/src/fs/diskd: .deps
Only in squid-3.0-PRE3-20060608/src/fs/null: .deps
Only in squid-3.0-PRE3-20060608/src/fs/ufs: .deps
Only in squid-3.0-PRE3-20060608/src/fs/ufs: .dirstamp
diff -rup squid-3.0-PRE3-20060608.orig/src/main.cc squid-3.0-PRE3-20060608/src/main.cc
--- squid-3.0-PRE3-20060608.orig/src/main.cc	2006-05-31 14:29:00.000000000 -0300
+++ squid-3.0-PRE3-20060608/src/main.cc	2006-06-08 20:54:51.000000000 -0300
@@ -50,18 +50,6 @@
 #include "StoreFileSystem.h"
 #include "DiskIO/DiskIOModule.h"
 #include "comm.h"
-#if USE_EPOLL
-#include "comm_epoll.h"
-#endif
-#if USE_KQUEUE
-#include "comm_kqueue.h"
-#endif
-#if USE_POLL
-#include "comm_poll.h"
-#endif
-#if USE_SELECT
-#include "comm_select.h"
-#endif
 #include "SquidTime.h"
 #include "SwapDir.h"
 #include "forward.h"
@@ -115,6 +103,9 @@ static int checkRunningPid(void);
 
 static CacheManager manager;
 
+void
+commPollRegisterWithCacheManager(CacheManager & manager);
+
 #ifndef _SQUID_MSWIN_
 static const char *squid_start_script = "squid_start";
 #endif
Only in squid-3.0-PRE3-20060608/src/repl: Makefile
Only in squid-3.0-PRE3-20060608/src/repl/heap: .deps
Only in squid-3.0-PRE3-20060608/src/repl/lru: .deps
Only in squid-3.0-PRE3-20060608/src/repl/lru: .dirstamp
Only in squid-3.0-PRE3-20060608/src: repl_modules.cc
Only in squid-3.0-PRE3-20060608/src: squid.conf.default
Only in squid-3.0-PRE3-20060608/src/tests: .deps
Only in squid-3.0-PRE3-20060608/test-suite: .deps
Only in squid-3.0-PRE3-20060608/test-suite: Makefile
Only in squid-3.0-PRE3-20060608/tools: .deps
Only in squid-3.0-PRE3-20060608/tools: Makefile
